5.3.0-git
2014-08-30

[#5221] Add support for Sieve copy extension
Summary Add support for Sieve copy extension
Queue Ingo
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester selsky (at) columbia (dot) edu
Created 2007-04-05 (2704 days ago)
Due
Updated 2010-09-14 (1446 days ago)
Assigned
Resolved
Milestone
Patch No

History
2010-09-14 17:05:00 brennan (at) columbia (dot) edu Comment #2 Reply to this comment
Without support for copy, the ingo user interface and the sieve rules 
can say different things, and some sequences of rules are impossible 
to code with ingo.  Redirect and fileinto are affected. Example:

I tell ingo to redirect to foo@example.com and I do not check Stop checking.

Ingo writes:  redirect "foo@example.com"; keep;

The explicit keep sends a copy to inbox and further rules are ignored!

Ingo should write:  redirect  :copy "foo@example.com";

That does an implicit keep and further rules are checked as ingo implies.


2007-04-11 16:18:41 Jan Schneider State ⇒ Accepted
 
2007-04-05 20:52:18 Matt Selsky Comment #1
State ⇒ New
Priority ⇒ 1. Low
Type ⇒ Enhancement
Summary ⇒ Add support for Sieve copy extension
Queue ⇒ Ingo
Reply to this comment
http://www.faqs.org/rfcs/rfc3894.html



This is similar to procmail's 'c' flag (carbon copy).